version: "3.9"

services:
  app:
    healthcheck:
      disable: true
    environment:
      DATABASE_URL: "mysql://root:root@database:3306/review_tool"
      APP_SECRET: ee43016c613f2ee9d283522133c6911d
      SLACK_API_OAUTH_TOKEN: token
      SLACK_API_OAUTH_BOT_TOKEN: token
      GITLAB_API_OAUTH_TOKEN: token
    build:
      dockerfile: .docker/Dockerfile
    links:
      - database
    volumes:
      - .:/var/www
    ports:
      - "8080:80"

  database:
    image: mariadb:10.9
    command: --init-file /data/application/init.sql
    volumes:
      - .docker/init.sql:/data/application/init.sql
    environment:
      MARIADB_ROOT_PASSWORD: root
    ports:
      - "3316:3306"